Get accounts payable
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/insights/accounts-payable \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/insights/accounts-payable"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/insights/accounts-payable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"nonCumulative": [
{
"amount": 50000,
"metric": 50000,
"date": "202408",
"dateLabel": "202408",
"startDate": "2024-08-01",
"dimension": "Due",
"label": "Due",
"groupName": "Due"
}
],
"cumulative": [
{
"amount": 50000,
"metric": 50000,
"date": "202408",
"dateLabel": "202408",
"startDate": "2024-08-01",
"dimension": "Due",
"label": "Due",
"groupName": "Due"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Revenue
Accounts Payable Insight
Returns accounts payable data showing amounts due and paid over time, including cumulative totals.
GET
/
entities
/
{entityId}
/
insights
/
accounts-payable
Get accounts payable
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Query Parameters
Filter by invoice issuing date (greater than)
Filter by invoice issuing date (less than)
The data set is grouped by this field
Available options:
daily, weekly, monthly, quarterly, yearly Response
Accounts Payable
Show child attributes
Show child attributes
Was this page helpful?
⌘I